﻿# Script calculant la memoire libre de chaque disque logique
# Checconi Dorian 2017
# Le script fonctionne sur tout les OS à partir de Windows 7

#création de l'instance de l'objet WMI
$elements = get-WmiObject Win32_LogicalDisk

# On initialise la variable qui contiendra l'espace disque libre
$taille_totale = 0 

# boucle pour parcourir tous les disques
foreach ( $disque in $elements )
{
    # Calul de la taille en Giga octet
    $taille = $disque.freespace / (1024*1024*1024)

    # Arrondi la taille à 1 décimale
    $taille = [math]::round($taille, 1)

    $nom=$disque.Name

    # On additinne l'espace libre de tout les disques
    $taille_totale = $taille_totale + $taille

    echo "Le disque $nom a $taille Go de disponible"
}

echo "Taille disponible cumulée = $taille_totale Go"
pause