﻿# Script qui sauvegarde un fichier ou répertoire à une date donné
# Checconi Dorian 2017
# Fonction sur tout les OS à partir de Windows 7

# On demande si on veut sauvegarder un fichier ou un répertoire
$rep = Read-Host "Que voulez-vous sauvegarder ? 1:Fichier, 2:Répertoire"
$verif = 1

if($rep -cmatch 1)
{# Si on choisis un fichier
    $source = Read-Host "Indiquez le chemin du fichier à sauvegarder"
    $destination = Read-Host "Indiquez la destination"
}
elseif($rep -cmatch 2)
{# Si on choisis un répertoire
    $source = Read-Host "Indiquez le chemin du dossier à sauvegarder"
    $destination = Read-Host "Indiquez la destination"
    $source += "\*"
}
else
{# Si mauvaise réponse donné
    echo "Valeur Incorrecte"
    $verif = 0
}

# Si bonne réponse donné
if($verif -cmatch 1)
{
    # On crée le contenue du script qui sera exécuté en tache planifié
    $contenue = "Copy-Item $source -Destination $destination"

    # On génère le fichier éxécuter en tache planifé
    new-item "c:\save.ps1" –type file -force

    # On ajoute le contenue dans le fichier créé
    ADD-Content -Path "c:\save.ps1" -Value $contenue

    # On demande l'heure de la save
    $date = Read-Host "Heure de la save (Format HH:MM) ?"

    # Action à exécuter - script ActiveService.ps1
    $action=New-ScheduledTaskAction -Execute "powershell.exe" -Argument "-ExecutionPolicy Bypass C:\Save.ps1"

    # Planification de la tâche
    $trigger=New-ScheduledTaskTrigger -Daily -At $date

    # Enregistrement de la tâche et "Exécuter sous"
    Register-ScheduledTask -TaskName "Save" -Trigger $trigger -Action $action -Description "Sauvegarde Automatique"
}

Pause